Skip to main content
`Ctrl`+`K`

# BVRestoreColumn

Restore a column obtained with `BVGetColumn()`.

## Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVRestoreColumn(BV bv,PetscInt j,Vec *v)

Logically Collective

## Input Parameters

- bv - the basis vectors context

- j - the index of the column

- v - vector obtained with `BVGetColumn()`

## Note

The arguments must match the corresponding call to `BVGetColumn()`.

## See Also

BV: Basis Vectors, `BVGetColumn()`

## Level

beginner

## Location

src/sys/classes/bv/interface/bvbasic.c

## Implementations

BVRestoreColumn_Contiguous() in src/sys/classes/bv/impls/contiguous/contig.c
BVRestoreColumn_Mat() in src/sys/classes/bv/impls/mat/bvmat.c
BVRestoreColumn_Svec() in src/sys/classes/bv/impls/svec/svec.c
BVRestoreColumn_Vecs() in src/sys/classes/bv/impls/vecs/vecs.c

Index of all BV routines Table of Contents for all manual pages Index of all manual pages